﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<Area>


@(
 Html.Grid(Model).Named("AllArea").Columns(columns =>
 {

     columns.Add(x => x.Name)
         .Titled("Name")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Name).Filterable(true);
     
     columns.Add(x => x.Code)
         .Titled("Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Code.ToString()).Filterable(true);


    columns.Add(x => x.District.Name)
       .Titled("Disctric")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.District.Name).Filterable(true);
     
     
    columns.Add(x => x.CreatedDate)
        .Titled("Created Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Area.Edit(x.ID))));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.Area.Delete(x.ID)), x.Name));

}).Filterable()
.Sortable()
.WithPaging(5)
)
